Public Member Functions | Public Attributes | Friends | List of all members
WriteNowTextInternal::ContentZone Struct Reference

Internal: structure used to store the content structure. More...

## Public Member Functions
| ContentZone ()

## Public Attributes
int | m_type
| the type 0 : text, 1<->7 : a char flag 8<->f : a zone 10 : used to store a break More...
long | m_pos [2]
| the begin and the end pos More...
int | m_value
| a value More...

## Friends
std::ostream & | operator<< (std::ostream &o, ContentZone const &z)
| operator<< More...

## Detailed Description

Internal: structure used to store the content structure.

## Constructor & Destructor Documentation

## ◆ ContentZone()

WriteNowTextInternal::ContentZone::ContentZone | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ContentZone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_pos

long WriteNowTextInternal::ContentZone::m_pos[2]

the begin and the end pos

Referenced by WriteNowText::parseContent().

## ◆ m_type

int WriteNowTextInternal::ContentZone::m_type

the type 0 : text, 1<->7 : a char flag 8<->f : a zone 10 : used to store a break

Referenced by WriteNowText::createZones(), WriteNowTextInternal::operator<<(), and WriteNowText::parseContent().

## ◆ m_value

int WriteNowTextInternal::ContentZone::m_value

a value

Referenced by WriteNowTextInternal::operator<<(), and WriteNowText::parseContent().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx